typedef struct NJS_TAG_TASK {
	Int					status;	/* タスク状態				*/
	Int					name;
	Int					pri;
	struct NJS_TAG_TASK	*next;
	struct NJS_TAG_TASK	*prev;
	void				(*func)(struct NJS_TAG_TASK*);
	void				*buf;
	struct NJS_TAG_TASK *task;	/* ワークタスク			*/
} NJS_TASK;

void njuInitTask();
NJS_TASK *njuCreateTask( void (*func)( NJS_TASK * ), Int name, Int pri, Int size, void *buf, NJS_TASK *wktask );
void njuDeleteTask( NJS_TASK *task );
void njuExecTask();
void njuExitTask();
NJS_TASK *njuSearchTask( Int name, Int pri );
NJS_TASK *njuSearchTaskNext( void );
